                WinRAR - What's new in the latest version


   Version 7.12

  1. When extracting a file, previous versions of WinRAR, Windows versions
     of RAR, UnRAR, portable UnRAR source code and UnRAR.dll can be tricked
     into using a path, defined in a specially crafted archive,
     instead of user specified path.

     Unix versions of RAR, UnRAR, portable UnRAR source code
     and UnRAR library, also as RAR for Android, are not affected.

     We are thankful to whs3-detonator working with Trend Micro Zero Day
     Initiative for letting us know about this security issue.

  2. Previously "Generate report" command included archived file names
     into HTML report as is, allowing to inject potentially unsafe HTML tags
     into the report. To prevent such injection the current version replaces
     < and > file name characters in HTML report with &lt; and &gt; strings.

     We are thankful to Marcin Bobryk (github.com/MarcinB44) for bringing
     this security issue to our attention.
  
  3. If "Test archived files" and "recovery volumes" archiving options
     are used together, recovery volumes are also tested. Previous versions
     completed the test before creating recovery volumes, so they hadn't
     been verified.

  4. Nanosecond file time precision is preserved for Unix file records
     when modifying RAR archive in Windows. Previously it was converted
     to Windows 100 nanosecond precision.

   
   Version 7.11

  1. If "Add to archive..." Explorer context menu command is applied to
     multiple archives in the disk root, for example, d:\arc1.rar
     and d:\arc2.rar, WinRAR will propose arc1_rar.rar default name
     for a new archive. Previous version proposed arc1.rar, updating one
     of selected archives instead of creating a new one.
  
  2. Bugs fixed:

     a) WinRAR 7.10 failed to update solid archives containing a folder
        record placed before a file record. It issued the checksum error
        message and aborted processing.

        As a result of this fix, this version preserves the original position
        of such folders after updating and doesn't move them to the end
        of archive as WinRAR 7.10 did;
     
     b) when extracting a file from CAB archive over an existing file,
        existing files were overwritten, but not truncated.
        So if existing file was larger than extracted, existing file data
        had been left at the end of the extracted file;
     
     c) if SFX module from "Advanced SFX options" dialog was stored
        in the compression profile, it was applied as is, even if archive
        format was changed after selecting the profile. It could result
        in SFX module mismatching the archive format;

     d) choosing a value in bytes from drop down list associated
        with archive dialog "Split to volumes, size" field didn't set
        units to bytes automatically;

     e) if SFX "TextDone" command was used together with "Silent"
        and "TempMode" commands, the completion message was sometimes
        displayed behind other opened windows;

     f) if symlink pointing at an executable was started from WinRAR shell,
        the executable Mark of the Web data was ignored. We are thankful
        to Shimamine Taihei of Mitsui Bussan Secure Directions, Inc
        for reporting this issue.

   
   Version 7.10

   1. "Settings/General" dialog page is split to "Settings/Interface"
      and "Settings/System" pages. Dialog navigation uses vertical tabs
      instead of horizontal.
   
   2. WinRAR sets the dark interface mode if "Color mode" option
      in "Settings/Interface" is set to "Dark". This option can enable
      dark and light modes unconditionally or use Windows color mode settings.

   3. "Large memory pages" option in "Settings/System" dialog and -mlp
      command line switch enable using 2 MB memory pages instead of
      default 4 KB, when allocating large memory areas in RAR archive
      format compression and extraction routines.

      It allows to improve archiving and, in some cases, extraction speed.
      Typically the performance gain is more significant for bigger
      compression dictionaries and slower compression methods.

      This feature requires "Lock pages in memory" privilege
      and if it is missing, WinRAR proposes to assign it to the current
      user account, making it available for other software too.
      Windows restart is necessary to activate the newly assigned privilege.
   
   4. "Zone value only" option in "Settings/Security" dialog controls
      if archive Mark of the Web propagation includes only the security zone
      value or all available fields.

      While additional fields, such as a download location or IP address,
      might help to identify a file source, they can be a privacy concern
      if file is shared with other persons.

   5. Switch -om[-|1][=list] controls Mark of the Web propagation
      in WinRAR and console RAR command line mode.

   6. Windows Vista and 32-bit Windows are not supported anymore.
      WinRAR requires Windows 7 x64 or later.

      Unlike WinRAR, 32-bit self-extracting modules are still provided
      as a part of 64-bit installation package.

   7. "Auto", "Always on" and "Disable" choices are now available
      for "Delta compression" and "Executable compression" options
      in "Advanced compression parameters" dialog.
      
      To improve the compression speed, "Auto" applies these options
      depending on the compression method, such as disabling them
      for "Fastest" and "Fast" methods. Use "Always on" to enable them
      for all methods.

   8. Name of environment variable to store the default set of RAR switches
      is changed from "RAR" to "RARINISWITCHES". It is rather typical
      for batch scripts to use "RAR" environment variable name to store
      RAR executable pathname, which led to the name conflict previously.

   9. "Completion message title" and "Completion message text" options
      on "Text" page of "Advanced SFX options" dialog allow to define
      a custom message displayed on the successful completion of SFX archive
      extraction.

      This message can also be added with "TextDone" script command.

      SFX logo and icon options are moved to the new "Logo and icon" page
      of "Advanced SFX options" dialog. Dialog navigation uses vertical tabs
      instead of horizontal.
   
  10. Windows 11 context menu:

      a) compression profiles in the new context menu are placed above
         extraction commands, similarly to the legacy context menu;

      b) separator lines are inserted between archive open, extraction
         and archiving command groups.

  11. When extracting a file with NTFS "Compressed" attribute,
      this attribute is assigned in the beginning of file extraction.
      Typically it reduces the extraction time compared to assigning it
      after writing the file data.

  12. When adding files to existing RAR archive, folders previously stored
      in such archive are moved to a position after newly added files.
      So folder timestamps are set after extracting all files and are not
      modified when creating files inside of these folders.

  13. Temporary file isn't created anymore for "rar ch -tl" command if other
      switches or archive parameters do not imply the archive modification.
      Modification time of newest archived file is set directly to original
      archive file, without copying the archive data. It reduces disk write
      and processing time.
   
  14. If archive is truncated at recovery record or quick open information
      service blocks, the additional message with truncated block type
      is displayed after the standard "Unexpected end of archive".
   
  15. RAR compression algorithm can use multiple Windows processor groups
      to utilize up to maximum supported 64 logical processors.
      It can improve RAR compression speed on systems with logical
      processors number exceeding 64 and not multiple of 64.

      Previously the maximum number of logical processors was limited
      to a single processor group size, such as 36 for 72 processors.

  16. Additionally to size, a percent of archive size is also displayed
      for recovery record in "Show information" command.
     
      For RAR 5.0 archives it is the exact value specified when creating
      the recovery record. For older RAR formats it is the approximate value
      calculated from the available data.

  17. When opening a nested archive from another archive opened in WinRAR,
      Mark of the Web data will be assigned to nested archive unless
      "Propagate Mark of the Web" option in WinRAR "Settings/Security"
      is set to "Never". Previously it was assigned only if this option
      was set to "For all files" or to "For user defined types" and list
      of user defined types included the archive extension.

      Also "For office files" and "For executable and office files" lists
      now include popular archive extensions supported by WinRAR.
      
      Assigning Mark of the Web data to nested archives allows to propagate
      it to files extracted from such archives, which wasn't done by default
      in previous versions.

      We are thankful to Qize Wang (ADLab of VenusTech) for bringing this
      issue to our attention.

  18. Bugs fixed:

      a) if new files have been added to existing semi-solid RAR archive
         created with -se or -s<N> switches, such files could be damaged.
         This issue doesn't affect usual solid archives created with -s,
         also as non-solid archives;

      b) even though the long range search isn't used with -m1 "fastest"
         compression method, switches -m1 -mcl+ or -m1 -mcl with 256MB
         or larger compression dictionary still allocated memory required
         for long range search algorithm;

      c) if "Remove redundant folders from extraction path" option was on
         when extracting a file from archive subfolder, clicking on ".."
         in the file list afterwards displayed the folder with the archive
         file instead of parent folder inside of archive;

      d) if application was started from archive and created multiple files
         with monotonically growing date, WinRAR could issue archive update
         prompts for every created file instead of a single prompt.

   
   Version 7.01

   1. Bugs fixed:

      a) updating an encrypted file in a solid RAR archive produced
         a corrupt archive if updated file was the first in archive,
         no password was specified when starting updating and file name
         encryption in the updated archive wasn't enabled;

      b) WinRAR 7.00 crashed after switching to "Flat folders view" mode
         from archive subfolder;

      c) switch -ep4 duplicated the specified path instead of excluding it
         when extracting;

      d) if archive created by Unix RAR version contained symlinks with
         path separator characters in target paths, these characters could be
         broken when modifying such archive with Windows RAR;

      e) invalid file name was displayed in file rename and file execute
         WinRAR error messages;

      f) SFX "Shortcut" command failed to recognize empty parameters
         defined like "Shortcut=D,"",folder", while correctly recognizing
         such parameters without quote marks like "Shortcut=D,,folder";

      g) volume reconstruction didn't work in WinRAR.exe if "rc" command
         was specified with .rev file, such as "WinRAR rc arc.part1.rev".
         Unlike RAR, WinRAR required to use only .rar file name here.


   Version 7.00

   1. Compression dictionary sizes larger than 1 GB are supported
      for RAR archive format. Depending on the amount of physically
      available memory, dictionary up to 64 GB can be selected.

      Not power of 2 dictionary sizes can be specified for dictionaries
      exceeding 4 GB. So we are not limited to 4, 8, 16, 32, 64 series
      and can use values like 5 GB or 22 GB.

      Archives with dictionaries exceeding 4 GB can be unpacked only
      by WinRAR 7.0 or newer. 64-bit WinRAR version is needed to unpack
      archives with dictionaries exceeding 1 GB.

      Increasing the dictionary size can improve the compression ratio
      for large files with distant repeated blocks, like virtual machine
      disk images. It also can be efficient for sets of large similar files
      in a solid archive, such as a collection of software ISO images
      differing by version or localization.

   2. WinRAR issues a prompt allowing to cancel or continue if dictionary
      size in extracted RAR archive exceeds "Maximum dictionary size
      allowed to extract" parameter in "Settings/Compression".
      It is done to prevent the unexpected excessive memory allocation.

      In the command line mode by default WinRAR refuses to unpack archives
      with dictionary exceeding 4 GB. Use -md<size> or -mdx<size> to allow
      unpacking dictionaries up to and including the specified size.
      Unlike -md<size>, -mdx<size> is applied to extraction only and can be
      added to RAR environment variable, not affecting archiving commands.

   3. "Define dictionary sizes" dialog in "Settings/Compression" can be used
      to customize dictionary sizes proposed in the drop down list associated
      with "Dictionary size" field in "Archive name and parameters" dialog.

   4. Alternate search algorithm, optimized to locate longer and more distant
      repeated data blocks, can be used when creating RAR archives.
      It helps to improve the compression ratio and sometimes speed
      for redundant data like big text files.
      
      It increases memory usage and might reduce the compression speed
      for some types of data. It can be turned on or off with
      "Long range search" options in "Advanced compression parameters" dialog
      or with -mcl[+|-] switch. If "Auto" option is selected, WinRAR applies
      the long range search depending on the compression method, dictionary
      size and other parameters.

      This algorithm is required for dictionaries exceeding 4 GB
      and turning it off is ignored for such dictionaries.

   5. Much slower and more exhaustive repeated data search and compression
      algorithm can be enabled with "Exhaustive search" option
      in "Advanced compression parameters" dialog or with -mcx switch.
      It might provide the additional compression gain for some types of
      redundant data, but at much lower compression speed.

      Long range search is needed to implement this mode efficiently,
      so the exhaustive search option activates it automatically.

      Both long range and exhaustive search option do not affect
      the compatibility of created archives. So if dictionary size
      is in 128 KB - 4 GB range, archives created with these search options
      can be unpacked by all WinRAR versions beginning from 5.0.
         
   6. Maximum path length limit is increased from 2047 to 65535 characters.

   7. Creating archives in RAR 4.x format isn't supported anymore.
      Options and switches specific for this format are removed.
      It doesn't affect RAR 4.x archives decompression, which is included
      into WinRAR.

   8. "Propagate Mark of the Web" option in "Settings/Security" dialog
      controls assigning the archive Mark of the Web to extracted files.
      It is possible to prohibit propagating, allow it for several
      predefined file groups, for all files or for files matching user
      defined file masks.

      Mark of the Web is the security zone information added by Internet
      browsers to downloaded files. It can be used by various software
      for security purposes.

      It is supported only by GUI WinRAR. Console RAR doesn't propagate
      Mark of the Web regardless of this option.

   9. "Attributes" column can be enabled in "Settings/File list/Columns".
      It displays file attribute abbreviations, such as 'A' for "Archive"
      and 'D' for directory.

      If file attribute isn't among those recognized by WinRAR,
      the numeric value of file attributes is also displayed.
      This value uses hexadecimal format for Windows attributes
      or octal format for Unix attributes.
   
  10. "Benchmark" command allows to specify the exact number of threads
      and copy results to clipboard. Information about WinRAR and Windows
      versions, CPU and memory is added to benchmark window.
   
  11. "Remove redundant folders from extraction path" option
      in "Settings/Paths" is now applicable also to extraction commands
      invoked from WinRAR user interface and to multiple archives
      unpacked to separate folders. It removes a destination path
      component, only if its name matches both the archive name and root
      archived folder name, provided that there are no other folders
      or files in archive root.

      For example, it will remove one of "Pictures" in the destination path
      if we unpack Pictures.rar containing the root "Pictures" folder
      to "Pictures\" destination.

      Previously it worked only for a single archive extracted from
      context menu and didn't check if archived folder name matches
      the last destination path component.

  12. "Word wrap in comment" option in "Interface" options group
      in "Settings/General" toggles the word wrap mode in archive comment
      window.
   
  13. Dictionary size data in archive information dialog is now available
      for .bz2, .lz, .tar.bz2, .tar.gz, .tar.lz, .tar.zst archives.

  14. Switch -ol- prohibits archiving and extracting symbolic links.
   
  15. Switches -sl<size>[u] and -sm<size>[u] recognize [k|K|m|M|g|G|t|T]
      size units for kilobytes, thousands of bytes, megabytes, millions
      of bytes, gigabytes, billions of bytes, terabytes, trillions of bytes.
      If unit character is 'b', 'B' or not present, bytes are assumed.

      Previously these switches accepted bytes only.

  16. SFX TempMode command accepts the optional @set:user parameter
      allowing to modify temporary folder permissions, so only the current
      user can access it. It prohibits a local user to replace files
      in a temporary folder if SFX is started under another account.

      It also can be enabled with "Restrict folder access" option
      in "Advanced SFX options/Modes" dialog.

      Some installers might fail to start in a folder created with
      @set:user parameter.
   
  17. File permissions and NTFS alternate streams are not saved for
      hard link entries. They are saved only for the source file these
      entries refer to. It allows to reduce the archive size, because
      such file properties are automatically propagated to hard links
      copies when extracting.

  18. Keyboard shortcuts, such as Ctrl+A to select all files or Alt+E to
      unpack found archives, are now functional in "Search results" window
      also while search is still in progress. Previously they were available
      only after completing search.
   
  19. Switch -v<size>[unit] recognizes 't' and 'T' as terabytes and
      trillions of bytes for volume size units.
   
  20. Warning is issued if leading '-' character is missing in a parameter
      specified in "Additional switches" field of WinRAR archiving 
      and extraction dialogs. Also it is issued for parameters lacking '-'
      in RAR environment variable and rar.ini file.

      Previously such malformed parameters were ignored silently.

  21. "Convert archives" command displays the smooth total operation progress.
      Previously the total progress was updated abruptly after converting
      an archive and was visible only when processing multiple archives.

  22. Proper progress is displayed when compressing symbolic link targets.

  23. "Integrate WinRAR into shell" option in WinRAR "Settings/Integration"
      is grayed out if "Global\Integration=0" is present in winrar.ini file.

  24. 64-bit WinRAR version uses 64-bit SFX modules by default.
      64-bit SFX modules are needed to unpack archives with dictionaries
      exceeding 1 GB.
   
      32-bit modules are renamed to Default32.SFX, Zip32.SFX, WinCon32.SFX.

  25. Maximum allowed dictionary size for archiving and extraction
      can be specified in gigabytes in MaxDictA and MaxDictE variables
      in "HKEY_CURRENT_USER\Software\WinRAR\Policy" Registry key.
      If these variables are smaller than corresponding values defined
      in WinRAR interface, they override interface values.

  26. Console RAR filters out character 27 from screen output. It is done
      for security reasons, because this character can be used to declare
      ANSI escape control sequences in some terminal applications.

      We are thankful to Siddharth Dushantha for bringing this issue
      to our attention.

  27. Bugs fixed:

      a) it was possible to overwrite Mark of the Web, propagated from
         archive to extracted files, and modify its security zone information
         utilizing a specially crafted .rar archive.

         We are thankful to Orange Tsai and NiNi from DEVCORE Research Team
         working with Trend Micro Zero Day Initiative for letting us know
         about this security issue.

         Unlike WinRAR, unrar.dll library doesn't propagate the archive
         Mark of the Web and leaves it to a caller application to assign it
         to extracted files. So unrar.dll isn't affected by this issue;

      b) "User defined archive extensions" field in "Settings/Integration"
         was not saved if winrar.ini was used to store settings
         and WinRAR was started under non-administrator user account.

   
   Version 6.24

   1. Bugs fixed:

      a) WinRAR and UnRAR.dll extraction command dereferenced a null pointer
         and crashed when processing a zero length archive name
         in the archive metadata stored with -am switch.

         We are thankful to Radoslaw Madej from Check Point software
         for reporting this issue;
   
      b) WinRAR and UnRAR.dll extraction command overwrote extracted file
         data with contents of ::$DATA NTFS alternate data stream,
         if such stream was present in the archive. In this case
         unpacked data size and checksum could mismatch file size
         and checksum displayed in WinRAR file list. It didn't affect
         file name and type, which were displayed properly.

         We are thankful to Ata Hakcil for reporting this issue.

   
   Version 6.23

   1. Added extraction of XZ archives utilizing ARM64 filter.
   
   2. Rar$LS* temporary files, created when extracting or testing multiple
      archives from Windows context menu, are now deleted immediately.
      Previously they were deleted only on next WinRAR runs and only
      if they were at least 1 hour old.
   
   3. Bugs fixed:

      a) a security issue involving out of bounds write is fixed
         in RAR4 recovery volumes processing code.

         We are thankful to goodbyeselene working with Trend Micro Zero Day
         Initiative for letting us know about this bug;

      b) WinRAR could start a wrong file after a user double clicked
         an item in a specially crafted archive.

         We are thankful to Andrey Polovinkin from Group-IB Threat
         Intelligence unit for letting us know about this bug;

      c) if both NTFS and Unix time extra fields were available for a file
         in ZIP archive, extraction command ignored the second extra field
         even if it provided more time fields than first one;

      d) interface themes were applied to archive icons even if
         "Apply to archive icons" option in "Organize themes" dialog
         was turned off.

   
   Version 6.22

   1. Bugs fixed:

      a) extracting individual files from solid archives created by
         RAR versions older than 2.0, could fail in WinRAR 6.20 and 6.21.
         It didn't affect extracting the entire archive, which was performed
         correctly;

      b) files in Unix ARJ archives could be erroneously displayed as folders
         in WinRAR file list;

      c) "Display files in Explorer" extraction option was ignored
         if "When done: Close WinRAR" option was also set and archive
         was opened in WinRAR before extracting;

      d) file size value in the internal viewer status bar didn't include
         the byte order mask field, displaying a smaller than actual size
         for Unicode files.

   
   Version 6.21

   1. Both file and folder modification timestamps are restored
      when unpacking TAR and TAR based archives like tar.gz and tar.bz2.
      Previously only file modification timestamps were set
      for these archive formats.
   
   2. Added decompression of .tar.zst archives with dictionary
      exceeding 128 MB. WinRAR 6.20 allowed such dictionary for .zst,
      but not for .tar.zst.

   3. Switches -ed and -e+d are also supported by ZIP archives.
      Previously they worked only for RAR archives.

   4. Bugs fixed:

      a) if unencrypted file was stored after encrypted in the same
         RAR archive and both files had been unpacked in the same extraction
         command, WinRAR 6.20 failed to unpack the unencrypted file;

      b) in some cases a wrong detailed reason of file open error could be
         displayed in the second line of open error message.

   
   Version 6.20

   1. If "Autodetect passwords" option in "Organizer passwords" dialog
      is enabled and password matching a processing archive is present
      among saved passwords, it is applied automatically. This option
      is applicable only for archives in RAR 5.0 and ZIP formats,
      which allow to verify the password validity quickly.

      There is a minor chance of incorrect password detection
      for ZIP archives if stored passwords do not include a proper one.
      If encrypted ZIP archive extraction fails, you can try to disable
      this option, repeat extraction and enter a valid password manually.

   2. If extraction command involves only a part of files in RAR archive,
      the additional archive analysis is performed when starting extraction.
      It helps to properly unpack file references even if reference source
      is not selected. It works for most of RAR archives except for volumes
      on multiple removable media and archives containing a very large
      number of references.

      Also in some cases such analysis may help to optimize the amount
      of processing data when extracting individual files from
      semi-solid archives created with -s<N> and -se switches.

   3. "Save original archive name and time" option on "Options" page
      of archiving dialog allows to save the original archive name
      and creation time. If archive includes such saved name and time,
      they are displayed on "Info" page of "Show information" command
      and can be restored on "Options" page of same command.
      Restoring involves renaming an archive to original name and setting
      the saved time as the archive creation and modification time.

      Switch -ams or just -am together with archive modification commands
      can be used to save the archive name and time in the command line mode.
      These saved parameters are displayed in header of "l" and "v" commands
      output and can be restored with -amr switch combined with "ch" command,
      such as "rar ch -amr arc.rar". If -amr is specified, "ch" ignores
      other archive modification switches.

   4. Faster RAR5 compression of poorly compressible data on modern CPUs
      with 8 or more execution threads. This applies to all methods
      except "Fastest", which performance remains the same.

   5. "Repair" command efficiency is improved for shuffled data blocks
      in recovery record protected RAR5 archives.
         
   6. If file size has grown after archiving when creating non-solid
      RAR volumes, such file is stored without compression regardless of
      volume number, provided that file isn't split between volumes.
      Previously it worked only for files in the first volume.

   7. Added decompression of .zipx archives containing file references,
      provided that both reference source and target are selected
      and reference source precedes the target inside of archive.

      Typically, if .zipx archive includes file references, it is necessary
      to unpack the entire archive to extract references successfully.
   
   8. Added decompression of .zst long range mode archives with dictionary
      exceeding 128 MB. Previously it was possible to decompress them only
      if dictionary was 128 MB or less.

   9. If "Turn PC off", "Hibernate", "Sleep" or "Restart PC" archiving
      options are enabled in WinRAR, a prompt to confirm or cancel
      such power management action is displayed directly before starting it.
      If no selection was made by user for 30 seconds, the proposed action
      is confirmed and started automatically.

      This prompt is also displayed for -ioff switch in WinRAR command line,
      but not in console RAR command line.

  10. Context menu in WinRAR file list provides "Open in internal viewer"
      command for archive files. It can be helpful if you wish to view
      the archive raw data in internal viewer. For example, to read
      an email archive with UUE attachments included.

      Usual "View" command always displays the archive contents.
      If file is recognized as UUE archive, "View" would show UUE attachments.

  11. Recovery record size is displayed on "Archive" page of file properties
      invoked from Explorer context menu for archives in RAR5 format.
      Previously there was only "Present" instead of exact size
      for RAR5 archives.

  12. When archiving from stdin with -si switch, RAR displays the current
      amount of read bytes as the progress indicator.
   
  13. If wrong password is specified when adding files to encrypted
      solid RAR5 archive, a password will be requested again.
      Previous versions cancelled archiving in this case.

  14. If both options "Test archived files" and "Clear attribute "Archive"
      after compressing" or their command line -t -ac equivalents are
      enabled when archiving, "Archive" attribute will be cleared only
      if test was completed successfully. Previously it was cleared even
      when test reported errors.

  15. NoDrives value containing the bit mask to hide drives can be now
      read from "HKEY_CURRENT_USER\Software\WinRAR\Policy" Registry key,
      which allows to include it to winrar.ini if necessary.
      Its "Software\Microsoft\Windows\CurrentVersion\Policies" locations
      in HKEY_CURRENT_USER and HKEY_LOCAL_MACHINE are also supported.

      Previously only "Software\Microsoft\Windows\CurrentVersion\Policies"
      in HKEY_CURRENT_USER was recognized.

  16. Bugs fixed:

      a) archive modification commands could fail for some ZIP archives
         with file comments;

      b) fixed a memory leak when reading contents of .tar.bz2 archives;

      c) if source and resulting archive format is the same, the archive
         conversion command didn't set the original archive time
         to a newly created archive even if "Original archive time" option
         was selected in archiving parameters;

      d) if "Merge volumes contents" option in "Settings/File list" was
         turned on, the folder packed size in WinRAR file list could be
         less than expected when browsing a multivolume archive contents.
         It didn't include the packed size of file parts continuing from
         previous volume into calculation;

      e) even if "Set file security" extraction option was turned off
         by default, extraction commands in Explorer context menu still
         attempted to restore NTFS file security data;

      f) WinRAR could read data beyond the end of buffer and crash
         when unpacking files from specially crafted ZIP archive.
         We are thankful to Bakker working with Trend Micro Zero Day
         Initiative for letting us know about this bug.


   
   Version 6.11

   1. Added support for Gz archives with large archive comments.
      Previously the extraction command failed to unpack gz archives
      if comment size exceeded 16 KB.

   2. Archive comments in gz archives are displayed in the comment window
      and recognized by "Show information" command. Large comments are
      shown partially.
      
      Previous versions didn't display Gzip comments.

   3. Reserved device names followed by file extension, such as aux.txt,
      are extracted as is in Windows 11 even without "Allow potentially
      incompatible names" option or -oni command line switch.
      Unlike previous Windows versions, Windows 11 treats such names
      as usual files.

      Device names without extension, such as aux, still require these
      options to be unpacked as is regardless of Windows version.

   4. Switch -mes can be also used to suppress the password prompt
      and abort when adding files to encrypted solid archive.

   5. Additional measures to prevent extracting insecure links are
      implemented.

   6. Bugs fixed:

      a) if password exceeding 127 characters was entered when unpacking
         an encrypted archive with console RAR, text after 127th character
         could be erroneously recognized as user's input by different
         prompts issued later;

      b) wrong archived file time could be displayed in overwrite prompt
         when extracting a file from ZIP archive. It happened if such
         archive included extended file times and was created in another
         time zone. It didn't affect the actual file time, which was set
         properly upon extraction.


   Version 6.10
   
   1. WinRAR can unpack contents of .zst and .zipx archives utilizing
      Zstandard algorithm.

   2. Added support of Windows 11 Explorer context menus.

      Beginning from Windows 11, an application can add only a single top
      level command or submenu to Explorer context menu.
      
      If "Cascaded context menus" in "Integration settings" dialog is on,
      this single item is a submenu storing all necessary WinRAR commands.

      If this option is off, only one extraction command for archives
      and one archiving command for usual files are available.
      You can select these commands with "Context menu items..." button
      in "Integration settings" dialog.

   3. "Legacy context menus" option in "Settings/Integration" dialog
      can be used in Windows 11 if WinRAR commands are missing in
      "Show more options" Windows legacy context menu or in context menus
      of third party file managers. If WinRAR commands are already present
      here, keep "Legacy context menus" option turned off to prevent
      duplicating them.
      
      This option is not available in Windows 10 and older.
   
   4. Windows XP is not supported anymore. Minimum required operating
      system version is Windows Vista.
   
   5. "Close" item is added to "When done" list on "Advanced" page of
      archiving dialog. It closes WinRAR window, when archiving is done.

   6. "When done" list is added to "Options" page of extraction dialog.
      It allows to select an action like turning a computer off
      or closing WinRAR after completing extraction.
   
   7. Switch -si can be used when extracting or testing to read archive
      data from stdin, such as: 

        type docs.rar | rar x -si -o+ -pmypwd dummy docs\

      Even though the archive name is ignored with this switch,
      an arbitrary dummy archive name has to specified in the command line.
            
      Operations requiring backward seeks are unavailable in this mode.
      It includes displaying archive comments, testing the recovery record,
      utilizing the quick open information, processing multivolume archives.

      Prompts requiring user interaction are not allowed.
      Use -o[+|-|r], -p<pwd> or -mes switches to suppress such prompts.
   
   8. New -ep4<path> switch excludes the path prefix when archiving
      or extracting if this path is found in the beginning of archived name.
      Path is compared with names already prepared to store in archive,
      without drive letters and leading path separators. For example:

        rar a -ep4texts\books archive c:\texts\books\technical

      removes "text\books" from archived names, so they start
      from 'technical'.
   
   9. New -mes switch skips encrypted files when extracting or testing.
      It replaces the former -p- switch.

  10. New -op<path> switch sets the destination folder for 'x' and 'e'
      extraction commands. Unlike <path_to_extract\> command line parameter,
      this switch also accepts paths without trailing path separator
      character.

  11. If 'p' command is used to print a file to stdout, informational
      messages are suppressed automatically to prevent them mixing
      with file data.

  12. "Generate archive name by mask" option and switch -ag treat only
      first two 'M' characters after 'H' as minutes. Previously any
      amount of such characters was considered as minutes.

      It makes possible to place the time field before the date,
      like -agHHMM-DDMMYY. Previous versions considered all 'M'
      in this string as minutes.

  13. Maximum allowed size of RAR5 recovery record is increased to 1000%
      of protected data size. Maximum number of RAR5 recovery volumes
      can be 10 times larger than protected RAR volumes.

      Previous WinRAR versions are not able to use the recovery record
      to repair broken archives if recovery record size exceeds 99%.
      Similarly, previous versions cannot use recovery volumes
      if their number is equal or larger than number of RAR volumes.

  14. Warning is issued if entered password exceeds the allowed limit
      of 127 characters and is truncated. Previously such passwords
      had been truncated silently.

  15. If archive includes reserved device names, the underscore character
      is inserted in the beginning of such names when extracting.
      For example, aux.txt is converted to _aux.txt. It is done to prevent
      compatibility problems with software unable to process such names.

      You can use "Allow potentially incompatible names" option
      in "Advanced" part of extraction dialog or command line -oni switch
      to avoid this conversion.
  
  16. WinRAR attempts to reset the file cache before testing an archive.
      It helps to verify actual data written to disk instead of reading
      a cached copy.

  17. Multiple -v<size> switches specifying different sizes for different
      volumes are now allowed also for ZIP archives:

      WinRAR a -v100k -v200k -v300k arcname.zip

      Previously multiple -v<size> switches were supported only for
      RAR archives.

  18. Switches -sl<size> and -sm<size> can be used in WinRAR.exe command
      line mode when extracting archives in any supported formats,
      provided that such archive includes unpacked file sizes.
      Previously these switches could filter files by size only in RAR
      and ZIP archives.
  
  19. Newer folder selection dialog is invoked when pressing "Browse" button
      in WinRAR "Settings/Paths" page, "Repair" and "Convert" commands,
      also as in few other similar places. Previously a simpler XP style
      folder selection dialog was opened.
  
  20. When restoring from tray after completing an operation,
      WinRAR window is positioned under other opened windows,
      to not interfere with current user activities.

  21. "650 MB CD" is removed and "2 GB volumes" is added to the list of
      predefined volume sizes in "Define volume sizes" dialog invoked
      from WinRAR "Settings/Compression".

  22. "Rename" command selects the file name part up to the final dot.
      Previously it selected the entire name.

  23. If SFX archive size exceeds 4 GB, an error message is issued
      during compression, immediately after exceeding this threshold.
      Previously this error was reported only after completing compression.

      Executables of such size cannot be started by Windows.

  24. Command line -en switch is not supported anymore.
      It created RAR4 archives without the end of archive record.

      End of archive record permits to gracefully skip external data
      like digital signatures.

  25. Bugs fixed:

      a) when editing a file inside of .rar or .zip archive,
         WinRAR created a new SFX archive instead of updating an existing 
         archive if "Create SFX archive" option was set in the default
         compression profile;

      b) the total progress could be displayed incorrectly when using
         -oi, -f, -u switches or appropriate GUI options;

      c) "Find files" command with "Use all tables" option and command line
         "it" commands failed to find strings in UTF-16 encoding.


   Version 6.02

   1. ZIP SFX module refuses to process SFX commands stored in archive
      comment if such comment is resided after beginning of Authenticode
      digital signature. It is done to prevent possible attacks with
      inclusion of ZIP archive into the signature body.

      We already prohibited extracting contents of such malformed archives
      in WinRAR 6.01.

      We are thankful to Jacob Thompson - Mandiant Advantage Labs
      for reporting this issue.

   2. WinRAR uses https instead of http in the web notifier window,
      home page and themes links. It also implements additional checks
      within the web notifier. This is done to prevent a malicious web page
      from executing existing files on a user's computer. Such attack
      is only possible if the intruder has managed to spoof or otherwise
      control user's DNS records. Some other factors are also involved
      in limiting the practical application of this attack.

      We would like to express our gratitude to Igor Sak-Sakovskiy
      for bringing this issue to our attention.

   3. Where appropriate, SFX archive displays the additional line
      with detailed error information provided by operating system.

      For example, previously such archive would display "Cannot create file"
      message alone. Now this message is followed by a detailed reason
      like access denied or file being used by another process.

      In the past this extended error information was available in WinRAR,
      but not in SFX archives.

   4. Switch -idn hides archived names also in 'v' and 'l' commands.
      It can be useful if only the archive type or total information
      is needed.
   
   5. If -ibck -ri<priority> switches are used together, WinRAR process
      sets the priority specified in -ri switch. Previous versions ignored
      -ri and set the priority to low in the presence of -ibck switch.

   6. When using "File/Change drive" command, WinRAR saves the last folder
      of previous drive and restores it if that drive is selected again
      later.

   7. Name of unpacking file is now included into WinRAR incorrect password
      warning for RAR5 archives. It can be helpful when unpacking
      a non-solid archive containing files encrypted with different passwords.
   
   8. Bugs fixed:

      a) "Convert archives" command issued erroneous "The specified password
         is incorrect" message after succesfully converting RAR archive
         with encrypted file names if new password was set and archive
         was opened in WinRAR shell;

      b) if command progress window was resized up and then quickly resized
         down to original dimensions, window contents could be positioned
         incorrectly.

   
   Version 6.01

   1. Ctrl+A keyboard shortcut selects the entire text in WinRAR comment
      window.
   
   2. If -idn switch is used together with -t or -df in console RAR
      when archiving, it additionally disables "Deleting <filename>"
      or "Testing <filename>" messages, normally issued by these switches.

      Also -idn disables folder creation messages when extracting
      a file to non-existing folder.

   3. WinRAR and ZIP SFX module refuse to extract contents of ZIP SFX
      archives if ZIP central directory is resided after beginning
      of Authenticode digital signature. It is done to prevent possible
      attacks with inclusion of ZIP archive into signature body.
   
   4. Bugs fixed:

      a) "Convert archives" command could incorrectly convert Unicode
         comments in RAR archives.
      
      b) if two archive information windows had been opened from Explorer
         context menu, the compression ratio bar in the first window
         could erroneously display a value for second archive.

         It did not affect the ratio and other text details at the right
         of window. Only the vertical bar at the left could be updated
         to a wrong value;

      c) if "Wait if other WinRAR copies are active" option was enabled
         in extraction dialog, "Waiting for another WinRAR copy" title
         was not set in command progress window while waiting;

      d) when extracting a symbolic link, previous versions did not
         overwrite existing symbolic links even if user requested it
         in overwrite prompt.


   Version 6.00

   1. "Ignore" and "Ignore All" options are added to read error prompt.
      "Ignore" allows to continue processing with already read file part
      only and "Ignore All" does it for all future read errors.

      For example, if you archive a file, which portion is locked by another
      process, and if "Ignore" is selected in read error prompt,
      only a part of file preceding the unreadable region will be saved
      into archive.

      It can help to avoid interrupting lengthy archiving operations,
      though be aware that files archived with "Ignore" are incomplete.
      
      If switch -y is specified, "Ignore" is applied to all files by default.

      Previously available "Retry" and "Quit" options are still present
      in read error prompt as well.

   2. Exit code 12 is returned in the command line mode in case of read errors.
      This code is returned for all options in the read error prompt,
      including a newly introduced "Ignore" option.

      Previously more common fatal error code 2 was returned for read errors.

   3. If several archives are selected, "Extract archives to" option group
      in "Options" page of extraction dialog can be used to place extracted
      files to specified destination folder, to separate subfolders
      in destination folder, to separate subfolders in archive folders
      and directly to archive folders.
      
      It replaces "Extract archives to subfolders" option and available
      only if multiple archives are selected.

   4. New -ad2 switch places extracted files directly to archive's own folder.
      Unlike -ad1, it does not create a separate subfolder for each unpacked
      archive.

   5. "Additional switches" option in "Options" page of archiving
      and extraction dialogs allows to specify WinRAR command line switches.
      It might be useful if there is no option in WinRAR graphical interface
      matching a switch.

      Use this feature only if you are familiar with WinRAR command line
      syntax and clearly understand what specified switches are intended for.

   6. Compression parameters in "Benchmark" command are changed to
      32 MB dictionary and "Normal" method. They match RAR5 default mode
      and more suitable to estimate the typical performance of recent
      WinRAR versions than former 4 MB "Best" intended for RAR4 format.

      Latest "Benchmark" results cannot be compared with previous versions
      directly. New parameters set produces different values, likely lower
      because of eight times larger dictionary size.
   
   7. When unpacking a part of files from solid volume set,
      WinRAR attempts to skip volumes in the beginning and start
      extraction from volume closest to specified file and with reset
      solid statistics.

      By default WinRAR resets the solid statistics in the beginning
      of large enough solid volumes where possible. For such volumes
      extracting a part of files from the middle of volume set can be
      faster now.

      It does not affect performance when all archived files are unpacked.

   8. Previously WinRAR automatically resorted to extracting from
      first volume, when user started extraction from non-first volume
      and first volume was available. Now WinRAR does so only if all volumes
      between first and specified are also available.

   9. Warning is issued when closing WinRAR if one or more archived files
      had been modified by external apps, but failed to be saved back to
      archive, because an external app still locks them. Such warning
      includes the list of modified files and proposes to quit immediately
      and lose changes or return to WinRAR and close an editor app.

      Previous versions issued a similar warning while editing a file,
      but did not remind it again when quitting.

  10. "Move to Recycle Bin" option in "Delete archive" options group
      of extraction dialog places deleted archives to Recycle Bin
      instead of deleting them permanently.

  11. New "Clear history..." command in "Options" menu allows to remove
      names of recently opened archives in "File" menu and clear drop down
      lists with previously entered values in dialogs. For example,
      these values include archive names in archiving dialog
      and destination paths in extraction dialog.
   
  12. "File time" options in "Advanced" part of extraction dialog are
      now available for 7z archives. Additionally to modification time,
      WinRAR can set creation and last access time when unpacking such
      archives.

  13. ""New" submenu items" options group is added to
      "Settings/Integration/Context menu items..." dialog. You can use
      these options to remove "WinRAR archive" and "WinRAR ZIP archive"
      entries in "New" submenu of Windows context menu.

      New state of these option is applied only after you press "OK"
      both in "Context menu items" and its parent "Settings" dialog.

  14. <Max>, <Min> and <Hide> commands can be inserted before the program
      name in SFX "Setup" command to run a program in maximized,
      minimized or hidden window. For example:

      Setup=<Hide>setup.exe

  15. It is possible to specify an additional high resolution logo
      for SFX module. If such logo is present, SFX module scales
      and displays it in high DPI Windows mode, providing the better visible
      quality compared to resizing the standard logo.
      
      Use "High resolution SFX logo" in "Advanced SFX options" dialog
      to define such logo. In command line mode add second -iimg switch
      to set the high resolution logo.

      Recommended size of high resolution logo PNG file is 186x604 pixels.

  16. If archive currently opened in WinRAR shell was deleted or moved
      by another program, WinRAR displays "Inaccessible" before archive name
      in the window title. Also it flashes the window caption and taskbar
      button.

  17. "Total information" option in "Report" dialog is renamed to
      "Headers and totals". Now it also adds headers of report columns
      additionally to total information about listed files and archives.
  
  18. If archive processing is started from Windows context menu
      in multiple monitor system, WinRAR operation progress and dialogs
      use the monitor with context menu.

      While basic multiple monitor support was present in previous versions
      shell extension for mouse driven commands, now it is extended to
      operations initiated from keyboard and to dropping files to archives.

  19. New -imon<number> switch allows to select a monitor to display
      WinRAR operation progress and dialogs in the command line mode.

      Use -imon1 for primary and -imon2 for secondary monitor.
      For example, "WinRAR x -imon2 arcname" will start extraction
      on secondary monitor.

      It works only in the command line mode and does not affect
      interactive WinRAR graphical inteface also as console RAR.

  20. Switch -idn hides archived names output in archiving, extraction
      and some other commands in console RAR. Other messages and total
      percentage are not affected.

      You can use this switch to reduce visual clutter and console output
      overhead when archiving or extracting a lot of small files.

      Minor visual artifacts, such as percentage indicator overwriting
      few last characters of error messages, are possible with -idn.
  
  21. Former "-im - show more information" switch is changed to
      "-idv - display verbose output" for consistency with console RAR
      -id[c,d,p,q] message control options and avoid a potential name
      conflict with newer -imon switch.

      While WinRAR still recognizes both -im and -idv, in the future
      -im support can be dropped.

  22. It is allowed to add an optional %arcname% variable to compression
      profile name. Such variable will be replaced with actual archive name.
      It might be convenient when using with "Add to context menu" profile
      option. For example, you can create ZIP compression profile
      and set its name to "Add to %arcname%", to display it with actual
      ZIP archive name in context menu.

  23. Ctrl+C and Ctrl+Ins keyboard shortcuts can be used
      in "Diagnostic messages" window to copy contents to clipboard.
   
  24. More text is allowed in tray icon hint before a lengthy text
      is truncated. Also such text is now truncated in the middle of string,
      so both command type and completion percentage are still visible.

  25. In case of clean install, if previous version compression profiles
      are not present, "Files to store without compression" field
      in newly created predefined compression profiles is set to:

        *.rar *.zip *.cab *.7z *.ace *.arj *.bz2 *.gz *.lha *.lzh
        *.taz *.tgz *.xz *.txz

      You can change this field and save a modified value to compression
      profile later.
      
      Previous versions set this field to blank for clean install.

  26. Destination path history in extraction dialog treats paths like
      'folder' and 'folder\' as the same path and displays only 'folder'
      entry. Previously they occupied two entries in the history.

  27. "Enable Itanium executable compression" GUI option and -mci command
      line switch are removed. Optimized compression of Itanium executables
      is not supported anymore. WinRAR still can decompress already existing
      archives utilizing Itanium executable compression.

  28. Bugs fixed:

      a) "Lock", "Comment" and "Protect" commands could not be applied
         to several archives selected in WinRAR file list at once;

      b) SFX archive process did not terminate after completing
         extraction in Windows 10 if archive comment included "Setup"
         and "SetupCode" commands, did not include "TempMode" command
         and setup program was running for more than 8 minutes;

      c) compression profiles with quote character in profile name
         could not be invoked from Explorer context menu.
